@font-face {
	font-family: "gamtanroadtantan";
	src: url("/font/gamtanroadtantan.ttf") format("truetype");
}


@font-face {
	font-family: "taebaek";
	src: url("/font/taebaek.ttf") format("truetype");
}


@font-face {
	font-family: "kotra";
	src: url("/font/kotra.ttf") format("truetype");
}


@font-face {
	font-family: "stripe";
	src: url("/font/stripe.ttf") format("truetype");
}


* {
	font-family: "kotra";
}


body {
	margin: 0;
}


body::-webkit-scrollbar {
	display: none;
}


hr {
	color: rgba(222, 222, 222, 0.8);
	width: inherit;
}


div.container-01 {
	background-color: rgb(22, 22, 22);
	display: grid;
	grid-template-columns: 15% auto;
}


div.contents {}


div.table-info-wrapper {
	background-color: rgba(22, 22, 22, 1);
	position: sticky;
	text-align: center;
	top: 0;
}


div.table-info {
	padding-block: 22px;
}


em.table-no {
	font-size: calc(2vw + 2vh);
	font-weight: 800;
	color: rgba(255, 255, 255, 1);
}


button.menu-category {
	border-right-style: none !important;
	border-bottom-left-radius: 15px;
	border-bottom-right-radius: 0;
	border-color: rgba(222, 222, 222, 1);
	border-style: solid;
	border-top-left-radius: 15px;
	border-top-right-radius: 0;
	font-size: 2rem;
	margin-block: 2vh;
	padding-block: 1vh;
	background-color: transparent;
	color: rgba(255, 255, 255, 1);
}


button.header-btn {
	display: inline-block;
	font-size: 22px;
	font-weight: bold;
	margin-inline: 11px;
	padding: 6px 24px;
	background-color: transparent;
	color: rgba(255, 255, 255, 1);
	border: 1px solid rgba(222, 222, 222, 1);
}


div.contents-header {
	align-items: center;
	background-color: rgba(22, 22, 22, 1);
	box-shadow: 8px 2px 11px 2px rgba(222, 222, 222, 0.8);
	display: flex;
	height: 11vh;
	justify-content: space-between;
	padding-inline: 22px;
	position: sticky;
	top: 0;
	z-index: 2;
}


div.menu-lists {
	text-align: center;
}


div.menus {
	display: grid;
	row-gap: 8vh;
	grid-template-columns: repeat(auto-fill, 22%);
	justify-content: center;
	justify-items: center;
	margin-block: 8vh;
}


div.menu {
	-webkit-animation: swing-in-top-fwd 2s cubic-bezier(0.175, 0.885, 0.320, 1.275) alternate both;
	animation: swing-in-top-fwd 2s cubic-bezier(0.175, 0.885, 0.320, 1.275) alternate both;
	position: relative;
}


@-webkit-keyframes swing-in-top-fwd {
	0% {
		-webkit-transform: rotateX(-100deg);
		transform: rotateX(-100deg);
		-webkit-transform-origin: top;
		transform-origin: top;
		opacity: 0;
	}

	100% {
		-webkit-transform: rotateX(0deg);
		transform: rotateX(0deg);
		-webkit-transform-origin: top;
		transform-origin: top;
		opacity: 1;
	}
}


@keyframes swing-in-top-fwd {
	0% {
		-webkit-transform: rotateX(-100deg);
		transform: rotateX(-100deg);
		-webkit-transform-origin: top;
		transform-origin: top;
		opacity: 0;
	}

	100% {
		-webkit-transform: rotateX(0deg);
		transform: rotateX(0deg);
		-webkit-transform-origin: top;
		transform-origin: top;
		opacity: 1;
	}
}


.menu-comment {
	align-items: center;
	border-radius: 8px;
	color: rgba(255, 255, 255, 1);
	padding-block: 8px;
}


.menu-comment > div {}


div.menu-name {
	font-weight: 800;
	text-align: center;
	font-size: 2rem;
	color: rgba(255, 255, 255, 1);
}


div.menu-price {
	text-align: center;
	font-size: 1.5rem;
}


img.menu-img {
	border: 1px solid rgba(222, 222, 222, 0.2);
	border-radius: 22px;
	box-sizing: border-box;
	width: 11vw;
	height: 22vh;
	aspect-ratio: 1 / 1;
	object-fit: cover;
}


div.menu-best-yn {

}


img.best-logo {
	position: absolute;
	right: -11px;
	top: -18px;
	width: 40px;
	height: 40px;
	max-width: 85px;
	max-height: 85px;
	object-fit: scale-down;
}


div.left-side-bar {
	border-right: 1px solid rgba(222, 222, 222, 0.8);
	height: 100vh;
	position: sticky;
	top: 0;
}


div.left-side-bar::-webkit-scrollbar {
	display: none;
}


h2.selected-category-name {
	color: white;
	font-size: calc(2vw + 2vh);
}


div.modal-menu-content {
	align-items: center;
	display: flex;
}


div.area-menu-category {
	margin-left: 22px;
	display: flex;
	flex-direction: column;
}


div.modal-menu-intro {
	margin-right: 22px;
}


img.modal-menu-img {
	border-radius: 15px;
	aspect-ratio: 1 / 1;
	object-fit: cover;
	width: 22vw;
	height: 44vh;
}


div.modal-menu-name {
	color: rgba(255, 255, 255, 1);
	font-size: 22px;
	font-weight: 800;
	margin-block: 15px;
	text-align: center;
}


div.modal-menu-order {
	display: flex;
	flex-direction: column;
	justify-content: space-between;
	width: min-content;
}


textarea.modal-menu-explain {
	background-color: transparent;
	border-radius: 11px;
	border-style: none;
	color: rgba(255, 255, 255, 1);
	height: 22vh;
	margin-bottom: 22px;
	outline-style: none;
	-ms-overflow-style: none;
	resize: none;
	width: 22vw;
	font-size: calc(0.8vw + 0.8vh);
}


textarea.modal-menu-explain::-webkit-scrollbar {
	display: none;
}


div.modal-menu-price {
	margin-block: 22px;
	text-align: center;
}


div.modal-menu-option {
	align-items: center;
	display: inline-grid;
	grid-template-columns: 1fr 1fr;
	text-align: center;
	width: 100%;
}


div.modal-menu-option > div {
	font-size: calc(1vw + 1vh);
}


div.modal-menu-price-wrapper {
	align-items: center;
	display: inline-grid;
	grid-template-columns: 1fr 1fr;
	text-align: center;
	width: 100%;
}


div.modal-menu-price-wrapper > div {
	font-size: calc(1vw + 1vh);
}


div.modal-menu-count {
	text-align: center;

}


div.modal-menu-count > * {
	font-size: calc(1vw + 1vh);
}


button.count {
	background-color: transparent;
	border-style: none;
	padding-block: 2px;
	padding-inline: 11px;
	color: rgba(255, 255, 255, 1);
}


input.menu-count {
	background-color: transparent;
	border-style: none;
	color: rgba(255, 255, 255, 1);
	text-align: center;
	width: 22%;
}


input.menu-count::-webkit-inner-spin-button {
	appearance: none;
}


button.down-count {}


div.do-order {
	margin-block: 15px;

	text-align: center;
}


div.explain {
	font-size: 50px;

	font-weight: 800;

	margin-block: 15px;
	text-align: center;
}


table.table-cart {
	border-collapse: collapse;
	margin-inline: auto;
	min-width: 22vw;
	width: max-content;
}


tr.menu-total-price {
	border-top-color: black;
	border-top-style: solid;
	border-top-width: 1px;

	font-size: 18px;
	font-weight: bolder;
}


tr.tr-cart.th,
tr.tr-history.th {
	border-bottom-color: rgba(222, 222, 222, 1);
	border-bottom-style: double;

	border-bottom-width: 1px;
	font-size: 18px;
	font-weight: 800;
}


tr.tr-history.th > th {
	padding: 11px;
}


.tr-cart {
}


.td-cart {
	padding: 10px;
	text-align: center;
}


input.all-check-cart,
input.menu-check {
	accent-color: black;
	height: 22px;

	outline-style: ridge;

	vertical-align: sub;

	width: 22px;
}


.total-price {
	text-align: left;
}


td.total-menu-price {
	text-align: right;
}


div.cart-menu-info {
	display: flex;
}


@-webkit-keyframes tracking-in-expand {
	0% {
		letter-spacing: -0.5em;
		opacity: 0;
	}

	40% {
		opacity: 0.6;
	}

	100% {
		opacity: 1;
	}
}


@keyframes tracking-in-expand {
	0% {
		letter-spacing: -0.5em;
		opacity: 0;
	}

	40% {
		opacity: 0.6;
	}

	100% {
		opacity: 1;
	}
}


div.author {
	color: rgba(255, 255, 255, 1);
	left: 15px;
	z-index: 5;
}


.cart-menu-price {
	text-align: right;
}


div.payment-01 {
	display: none;
}


.payment-try {
	background-color: rgba(222, 222, 222, 0.2);
	border-style: none;
	font-size: 22px;
	font-weight: 800;
	padding: 11px;
	text-align: center;
}


.modal-menu-save {
	text-align: center;
}


button.modal-menu-save-btn {
	font-size: 15px;
	padding: 11px;
}


.title {
	font-size: 30px;
	font-weight: 800;
	text-align: center;
	margin-top: 0;
}


.history-area {
	border-collapse: collapse;
	width: max-content;
	margin-inline: auto;
}


tr.tr-history.th > th {
	font-size: 2rem;
}


.history-items {}


.history-items > td {
	padding-inline: 22px;
	font-size: 1.5rem;
}


.menu-name {
	text-align: left;
}


.menu-price {
	text-align: right;
}


.menu-quantity {
	text-align: right;
}


button.order-button {
	margin-inline: 22px;
	background-color: transparent;
	border: 1px solid rgba(222, 222, 222, 1);
	color: rgba(255, 255, 255, 1);
}


.loading-container {
	display: none;
	backdrop-filter: blur(22px);
	background-color: rgba(222, 222, 222, 0.2);
	box-shadow: 2px 7px 15px 8px rgba(0, 0, 0, 0.3);
	width: 100vw;
	height: 100vh;
	position: fixed;
	top: 50%;
	left: 50%;
	transform: translate(-50%, -50%);
	z-index: 99;

	-webkit-animation: slide-in-fwd-center 0.2s cubic-bezier(0.250, 0.460, 0.450, 0.940) both;
	animation: slide-in-fwd-center 0.2s cubic-bezier(0.250, 0.460, 0.450, 0.940) both;
}


.loading-wrapper {
	position: fixed;
	top: 50%;
	left: 50%;
	transform: translate(-50%, -50%);
}


.dp-on {
	display: block;
}


@-webkit-keyframes slide-in-fwd-center {
	0% {
		opacity: 0;
	}

	100% {
		opacity: 1;
	}
}


@keyframes slide-in-fwd-center {
	0% {
		opacity: 0;
	}

	100% {
		opacity: 1;
	}
}


.not-order-data {
	text-align: center;
}


div.row-intro {
	color: rgba(255, 255, 255, 1);
	font-size: calc(1.1vw + 1.1vh);
}
